#include "widget.h"
#include "ui_widget.h"
#include <QStyledItemDelegate>

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);

    ui->listWidget->setMinimumWidth(ui->listWidget->sizeHint().width());
    ui->listWidget->setMaximumWidth(ui->listWidget->sizeHint().width());
    ui->listWidget->setGridSize(ui->listWidget->itemSizeHint());

    for ( int i = 0; i < ui->listWidget->count(); i++ ) {
        ui->listWidget->item(i)->setSizeHint(ui->listWidget->itemSizeHint());
    }
}

Widget::~Widget()
{
    delete ui;
}
